aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/test/test.sh
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2022-12-07 15:24:09 +0100
committerEgor Tensin <Egor.Tensin@gmail.com>2022-12-07 15:24:09 +0100
commit578defeef04b25e089a64f5c2b61050cf91b984b (patch)
tree0edaa5893e228c5da4985b4d3c1dda0d9221dafc /test/test.sh
parentupdate URLs (diff)
downloadlinux-status-578defeef04b25e089a64f5c2b61050cf91b984b.tar.gz
linux-status-578defeef04b25e089a64f5c2b61050cf91b984b.zip
fix preludes in bash scripts
Diffstat (limited to 'test/test.sh')
-rwxr-xr-xtest/test.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/test/test.sh b/test/test.sh
index 3b22039..aaf80fd 100755
--- a/test/test.sh
+++ b/test/test.sh
@@ -6,6 +6,7 @@
# Distributed under the MIT License.
set -o errexit -o nounset -o pipefail
+shopt -s inherit_errexit lastpipe
script_dir="$( dirname -- "${BASH_SOURCE[0]}" )"
script_dir="$( cd -- "$script_dir" && pwd )"